# Created by pyp2rpm-2.0.0
%global pypi_name nattraverso

Name:           python-%{pypi_name}
Version:        0.1.1
Release:        2%{?dist}
Summary:        A NAT Traversal library

License:        LGPL
URL:            https://nattraverso.python-hosting.com
Source0:        https://pypi.python.org/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch0:         %{pypi_name}_rm_twisted_version_check.patch
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-twisted-web
BuildRequires:  python-setuptools
BuildRequires:  SOAPpy

%description
A library providing asynchronous basic UPnP operations, with the help of the 
twisted framework.

Suitable for integrations with mainloop such as gtk or QT.

Allows discovery of external IP address, and port mappings.

%package -n     python2-%{pypi_name}
Summary:        A NAT Traversal library
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
A library providing asynchronous basic UPnP operations, with the help of the 
twisted framework.

Suitable for integrations with mainloop such as gtk or QT.

Allows discovery of external IP address, and port mappings.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py2_build

%install
%py2_install


%files -n python2-%{pypi_name} 
%doc LICENSE
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Sun Nov 19 2017 Vadim Raskhozhev <iamdexpl@gmail.com> - 0.1.1-2
- Patched out Twisted version check since it seems FUBAR

* Sun Nov 19 2017 Vadim Raskhozhev <iamdexpl@gmail.com> - 0.1.1-1
- Initial package.
